# Class JapanBankAccountPayload

#### Hierarchy

- unknown
  - JapanBankAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4134
- Defined in src/protobuf/pb_pb.d.ts:4164

#####
Index

### Constructors

constructor

### Methods

getBankAccountName
getBankAccountNumber
getBankAccountType
getBankBranchCode
getBankBranchName
getBankCode
getBankName
serializeBinary
setBankAccountName
setBankAccountNumber
setBankAccountType
setBankBranchCode
setBankBranchName
setBankCode
setBankName
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new JapanBankAccountPayload(): JapanBankAccountPayload

- #### Returns JapanBankAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getBankAccountName

- getBankAccountName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4150

### getBankAccountNumber

- getBankAccountNumber(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4153

### getBankAccountType

- getBankAccountType(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4147

### getBankBranchCode

- getBankBranchCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4144

### getBankBranchName

- getBankBranchName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4141

### getBankCode

- getBankCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4138

### getBankName

- getBankName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4135

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4156

### setBankAccountName

- setBankAccountName(value: string): JapanBankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4151

### setBankAccountNumber

- setBankAccountNumber(value: string): JapanBankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4154

### setBankAccountType

- setBankAccountType(value: string): JapanBankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4148

### setBankBranchCode

- setBankBranchCode(value: string): JapanBankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4145

### setBankBranchName

- setBankBranchName(value: string): JapanBankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4142

### setBankCode

- setBankCode(value: string): JapanBankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4139

### setBankName

- setBankName(value: string): JapanBankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4136

### toObject

- toObject(includeInstance?: boolean): JapanBankAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns JapanBankAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4157

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): JapanBankAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4160

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: JapanBankAccountPayload, reader: BinaryReader): JapanBankAccountPayload

- #### Parameters

  - ##### message: JapanBankAccountPayload

  - ##### reader: BinaryReader

  #### Returns JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4161

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: JapanBankAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: JapanBankAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4159

### `Static` toObject

- toObject(includeInstance: boolean, msg: JapanBankAccountPayload): JapanBankAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: JapanBankAccountPayload

  #### Returns JapanBankAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4158

Generated using TypeDoc